Bug 33479

Summary: Output window cleared for no reason
Product: cnd Reporter: Jesse Glick <jglick>
Component: TerminalemulatorAssignee: Peter Zavadsky <pzavadsky>
Status: VERIFIED FIXED QA Contact: ivan <ivan>
Priority: P1 CC: issues, tboudreau
Version: 3.x   
Target Milestone: 6.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:

Description Jesse Glick 2003-05-07 22:07:28 UTC
Observed in [dev may 06]. Don't know for sure that
it is a result of the recent win sys separation,
but seems likely. Reassign as necessary.

Start dev may 06 on a fresh userdir. Expand the
colorpicker folder in sampledir. Create an Ant
build.xml, e.g. at top of sampledir; contents
irrelevant, can just leave blank. Run the build
script; shows e.g.

---%<---
all:

BUILD SUCCESSFUL

Total time: 0 seconds
---%<---

Now double-click README.txt to open it. It opens
in the editor, but the output window is cleared.

Generally, after running an Ant script, several
actions - opening a new file is one example - will
clear the output window and throw away the log
from the build. If you dock the Execution View
into the right of the Output Window and then close
it, so that it opens while the build is running
and closes when it has finished, the output from
the build script will be lost almost immediately,
as soon as the EV closes.

This is a recent regression. I don't know of a
good workaround. What I am using now: (1) either
don't ever open the EV, or leave it open (don't
close it when not in use); (2) never open a source
file while build output is open - if you do
accidentally and build errors get lost, leave the
file open and rerun the build.
Comment 1 Peter Zavadsky 2003-05-09 09:34:23 UTC
Yes it is result of the separation, I was removing dependency of
OutputTabTerm on core/windows sources (Registry), and created slight,
fortunately easy fixable, bug.

Comment 2 Peter Zavadsky 2003-05-09 09:37:37 UTC
Fixed in [trunk]

core/output/../ouput/OuputTabTerm.java 1.9
Comment 3 Peter Zavadsky 2003-05-09 09:40:24 UTC
Forgot to mark as fixed.
Comment 4 Marian Mirilovic 2003-06-11 10:48:48 UTC
verified in [nb_dev](200306110100)
Comment 5 Quality Engineering 2008-12-23 08:39:56 UTC
moving terminal emulator issues to terminalemulator component.
To see the correct version and target milestone of this issue look at Issue
Activity table.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo